aggregate_methods_by_regexp
aggregate_properties_by_list
Object Aggregation Functions
PHP Manual

# aggregate_methods

(PHP 4 >= 4.2.0)

aggregate_methods — Dynamic class and object aggregation of methods

### Description

void aggregate_methods ( object `$object` , string `$class_name` )

Aggregates all methods defined in a class to an existing object, except for the class constructor, or methods whose names start with an underscore character (_) which are considered private to the aggregated class.

### Parameters

`object`

`class_name`

### Return Values

No value is returned.

### See Also

- aggregate() - Dynamic class and object aggregation of methods and properties
- aggregate_info() - Gets aggregation information for a given object
- aggregate_methods_by_list() - Selective dynamic class methods aggregation to an object
- aggregate_methods_by_regexp() - Selective class methods aggregation to an object using a regular expression
- aggregate_properties() - Dynamic aggregation of class properties to an object
- aggregate_properties_by_list() - Selective dynamic class properties aggregation to an object
- aggregate_properties_by_regexp() - Selective class properties aggregation to an object using a regular expression
- deaggregate() - Removes the aggregated methods and properties from an object

aggregate_methods_by_regexp
aggregate_properties_by_list
Object Aggregation Functions
PHP Manual